#include <fstream>
using namespace std;
int main()
{
    ifstream f1("N!!.inp");
    int n;
    f1>>n;
    f1.close();
    int dem=1,k=1;
    if(n%2==0){
        for(int i=2;i<=n;i=i=2){
            dem=dem*i;
        }
    }
    if(n%2!=0){
        for(int j=1;j<=n;j=j+2){
            k=k*j;
        }
    }
    ofstream f2("N!!.out");
    if(n%2==0){
        f2<<dem;
    }
    if(n%2!=0){
        f2<<k;
    }
    f2.close();
    return 0;
}
